package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.ActivityCouponBean;
import com.xx.hbhconsumer.data.http.respons.AgreementBean;

import java.util.ArrayList;
import java.util.List;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class AgreementRequest extends BaseRespons {
    /**
     * 低价好物商品列表
     */
    public Observable<BaseResponse<List<String>>> getContent(String basic) {
        List<String> arr = new ArrayList<>();
        arr.add(basic);

        ApiParams<List> apiParams = new ApiParams<>();
        RequestBody body = apiParams.setParams(arr);

        return getApiService().getStaticPageList(body);
    }

    public class GetStaticPageListRequestBody {
        public List<String> array;


        public GetStaticPageListRequestBody(List<String> array) {
            this.array = array;
        }
    }

}
