package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.AppVersionBean;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class SettingsRequest extends BaseRespons {

    public Observable<BaseResponse<AppVersionBean>> getVersion() {
        ApiParams<GetVersionRequestBody> apiParams = new ApiParams<>();
        GetVersionRequestBody requestBody = new GetVersionRequestBody("2", "3");
        RequestBody body = apiParams.setParams(requestBody);
        return getApiService().getAppVersion(body);
    }

    public class GetVersionRequestBody {
        public String terminalType;
        public String appType;


        public GetVersionRequestBody(String terminalType, String appType) {
            this.terminalType = terminalType;
            this.appType = appType;
        }
    }

}
