package com.xx.hbhconsumer.data.http.respons

data class ClaimedCoupon(
    val availableCoupons: List<AvailableCoupon>,
    val unavailableCoupons: List<UnavailableCoupon>
)

class AvailableCoupon(
    val applyCommodity: String,
    val businessId: String,
    val couponEndTime: String,
    val couponName: String,
    val couponNumber: String,
    val couponStartTime: String,
    val couponType: String,
    val discountAmount: Double,
    val giftName: String,
    val orderAmount: Double,
    var checkStatus: Boolean
)

data class UnavailableCoupon(
    val applyCommodity: String,
    val businessId: String,
    val couponEndTime: String,
    val couponName: String,
    val couponNumber: String,
    val couponStartTime: String,
    val couponType: String,
    val discountAmount: Double,
    val giftName: String,
    val orderAmount: Double
)